unit uViewConfiguracionDocElectrodomestico;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewConfiguracionBase, cxControls, cxContainer, cxEdit, cxTextEdit, cxMemo,
  cxRichEdit, uViewBase, JvExControls, JvGradientHeaderPanel, StdCtrls, ExtCtrls,
  ComCtrls, uCustomView, uViewDetallesBase, uViewDetallesDTO,
  uViewDetallesArticulos, uViewConfiguracionCapitulo;

type
  TfrViewConfiguracionDocElectrodomestico = class(TfrViewConfiguracionBase)
    Paginas: TPageControl;
    pagNotas: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    ePlazosEntrega: TMemo;
    eFormaPago: TMemo;
    eObservaciones: TMemo;
    pagCapitulo: TTabSheet;
    frViewConfiguracionCapitulo: TfrViewConfiguracionCapitulo;
    pagCondiciones: TTabSheet;
    eCondiciones: TcxRichEdit;
    pagCalidades: TTabSheet;
    eCalidades: TcxRichEdit;
  public
    class function GetViewClass : TClass; override;
    class function DarEtiqueta : String; override;
    procedure CargarValores; override;
    procedure GuardarValores; override;
  end;

var
  frViewConfiguracionDocElectrodomestico: TfrViewConfiguracionDocElectrodomestico;

implementation
{$R *.dfm}
{ TfrViewConfiguracionDocELECTRODOMESTICO }

uses uFactuGES_App, uConfiguracionController, uPresupuestosClienteController,
uBizDetallesPresupuestoCliente, uDetallesPresupuestoClienteController;

procedure TfrViewConfiguracionDocElectrodomestico.CargarValores;
begin
  inherited;
  eFormaPago.Lines.Clear;
  eFormaPago.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_FORMA_PAGO_ELECTRODOMESTICO);
  ePlazosEntrega.Lines.Clear;
  ePlazosEntrega.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_PLAZOS_ENTREGA_ELECTRODOMESTICO);
  eObservaciones.Lines.Clear;
  eObservaciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_OBSERVACIONES_ELECTRODOMESTICO);

  eCalidades.Lines.Clear;
  eCalidades.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CALIDADES_ELECTRODOMESTICO);

  eCondiciones.Lines.Clear;
  eCondiciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CONDICIONES_ELECTRODOMESTICO);

  frViewConfiguracionCapitulo.Controller := TDetallesPresupuestoClienteController.Create;
  frViewConfiguracionCapitulo.Detalles := (frViewConfiguracionCapitulo.Controller as IDetallesPresupuestoClienteController).BuscarCapitulo(TIPO_CAPITULO_E);
end;

class function TfrViewConfiguracionDocElectrodomestico.DarEtiqueta: String;
begin
  Result := 'Documentos electrodoméstico';
end;

class function TfrViewConfiguracionDocElectrodomestico.GetViewClass: TClass;
begin
  Result := TfrViewConfiguracionDocELECTRODOMESTICO;
end;

procedure TfrViewConfiguracionDocElectrodomestico.GuardarValores;
begin
  inherited;
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_FORMA_PAGO_ELECTRODOMESTICO, eFormaPago.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_PLAZOS_ENTREGA_ELECTRODOMESTICO, ePlazosEntrega.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_OBSERVACIONES_ELECTRODOMESTICO, eObservaciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CONDICIONES_ELECTRODOMESTICO, eCondiciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CALIDADES_ELECTRODOMESTICO, eCalidades.Text);

  frViewConfiguracionCapitulo.Detalles.DataTable.ApplyUpdates;  
end;


end.
